Package twisted :: Package cred :: Module util

[show private | hide private]
[frames | no frames]

## Module twisted.cred.util

Utility functions for authorization.

These are currently for challenge-response shared secret authentication.

Maintainer: Glyph Lefkowitz<mailto:glyph@twistedmatrix.com>

Stability: semi-stable

Function Summary
| ``challenge`()` I return some random data.
| ``respond`(challenge, password)` Respond to a challenge.

Function Details

### challenge()

I return some random data.

### respond(challenge, password)

Respond to a challenge. This is useful for challenge/response authentication.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:00 2003 | http://epydoc.sf.net